rem sample test of MD5


rem the first 5 merely show different options to create 
rem differeing output formats

md5 -f SUSPECT_DATA_FILE.TXT              -o SAMPLE_OUTPUT.TXT
md5 -f SUSPECT_DATA_FILE.TXT -t3          -o SAMPLE_TIME_OUTPUT.TXT
md5 -f SUSPECT_DATA_FILE.TXT -d "|"       -o SAMPLE_DELIMETED_OUTPUT.TXT 
md5 -f SUSPECT_DATA_FILE.TXT -V           -o SAMPLE_VARIABLE_NAME.TXT 
md5 -f SUSPECT_DATA_FILE.TXT --NAMEAFTER  -o SAMPLE_NAMEAFTER.TXT

rem the next 5 show how the --MATCH option is used.
rem there is a second file searched just to show that when 
rem a value doesn't match, how the output reflects such.


md5 -f SUSPECT_DATA_FILE.TXT REFERENCE*      --MATCHMD5=REFERENCEMD5 -o  SAMPLE_MATCHMD5.TXT

md5 -f SUSPECT_DATA_FILE.TXT REFERENCE* -s   --MATCH160=REFERENCE160 -o  SAMPLE_MATCH160.TXT

md5 -f SUSPECT_DATA_FILE.TXT REFERENCE* -256 --MATCH256=REFERENCE256 -o  SAMPLE_MATCH256.TXT

md5 -f SUSPECT_DATA_FILE.TXT REFERENCE* -384 --MATCH384=REFERENCE384 -o  SAMPLE_MATCH384.TXT

md5 -f SUSPECT_DATA_FILE.TXT REFERENCE* -512 --MATCH512=REFERENCE512 -o  SAMPLE_MATCH512.TXT


rem the last two show what happends when the 0, or 1 is added to ONLY 
rem show matches or mismatch
md5 -f SUSPECT_DATA_FILE.TXT REFERENCE*      --MATCHMD50=REFERENCEMD5 -o  SAMPLE_MATCHMD50.TXT
md5 -f SUSPECT_DATA_FILE.TXT REFERENCE*      --MATCHMD51=REFERENCEMD5 -o  SAMPLE_MATCHMD51.TXT



rem now we will run an independant MD5 then search the output for a specific SHA256
rem the search program with an appropriate parameter file are used
rem the -w 150 is mandatory for the parameter file to have the correct values.
rem if anything other than -w 150 is used, the reference size and location in the 
rem parameter file must be altered accordingly.
rem the -r recurse may not be necessary for testing purposes. it is 
rem included to show the capability


md5 -256 -r -w 150 -d "|" -v  -o SHA256_fixed.out

search sha256_fixed.out matches.out search256.par -A
